#
# Conditional build:
%bcond_without	doc	# Sphinx documentation
%bcond_without	tests	# unit tests
%bcond_without	python2 # CPython 2.x module
%bcond_without	python3 # CPython 3.x module

%define		module		vine
%define		egg_name	vine
%define		pypi_name	vine
Summary:	Python promises
Summary(pl.UTF-8):	Obietnice dla Pythona
Name:		python3-%{module}
Version:	5.0.0
Release:	4
License:	BSD
Group:		Libraries/Python
Source0:	https://files.pythonhosted.org/packages/source/v/vine/%{pypi_name}-%{version}.tar.gz
# Source0-md5:	2fc3270a999cdc9341ba173360d62367
URL:		https://vine.readthedocs.io/
BuildRequires:	python3-modules >= 1:3.6
BuildRequires:	python3-setuptools >= 1:20.6.7
%if %{with tests}
BuildRequires:	python3-case >= 1.3.1
BuildRequires:	python3-pytest >= 3.0
%endif
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.714
%if %{with doc}
BuildRequires:	python3-sphinx_celery >= 1.1
BuildRequires:	sphinx-pdg-3
%endif
Requires:	python3-modules >= 1:3.6
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Python promises.

%description -l pl.UTF-8
Obietnice (promise) dla Pythona.

%package apidocs
Summary:	API documentation for vine module
Summary(pl.UTF-8):	Dokumentacja API modułu vine
Group:		Documentation

%description apidocs
API documentation for vine module.

%description apidocs -l pl.UTF-8
Dokumentacja API modułu vine.

%prep
%setup -q -n %{pypi_name}-%{version}

%build
%py3_build

%if %{with tests}
PYTEST_DISABLE_PLUGIN_AUTOLOAD=1 \
PYTEST_PLUGINS="case.pytest" \
%{__python3} -m pytest t/unit
%endif

%if %{with doc}
%{__make} -C docs html \
	SPHINXBUILD=sphinx-build-3
%endif

%install
rm -rf $RPM_BUILD_ROOT

%py3_install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changelog LICENSE README.rst
%{py3_sitescriptdir}/%{module}
%{py3_sitescriptdir}/%{egg_name}-%{version}-py*.egg-info

%if %{with doc}
%files apidocs
%defattr(644,root,root,755)
%doc docs/_build/html/{_modules,_static,reference,*.html,*.js}
%endif
%changelog
* Wed Mar 30 2022 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python3-vine.git;a=log;h=master

* Wed Mar 30 2022 Jan Rękorajski <baggins@pld-linux.org> 4f34431
- rebuild with tests and docs

* Sat Mar 26 2022 Jan Rękorajski <baggins@pld-linux.org> 95ebd66
- rebuild with python 3.10

* Thu Dec 16 2021 Jakub Bogusz <qboosh@pld-linux.org> 3447ee8
- setuptools epoch

* Thu Mar 04 2021 Arkadiusz Miśkiewicz <arekm@maven.pl> 114ac8d
- release 2 (by relup.sh)

* Sun Jan 31 2021 Jakub Bogusz <qboosh@pld-linux.org> 4c05c66
- updated to 5.0.0 for python 3.6+ as python3-vine.spec

* Sun Jan 31 2021 Jakub Bogusz <qboosh@pld-linux.org> 1d36722
- pl, fixed doc and tests

* Mon Feb 17 2020 Arkadiusz Miśkiewicz <arekm@maven.pl> e385424
- up to 1.3.0

* Mon Oct 28 2019 Jan Rękorajski <baggins@pld-linux.org> f6a5e7d
- rebuild with python 3.8
- release 2 (by relup.sh)

* Wed Sep 26 2018 Jacek Konieczny <j.konieczny@eggsoft.pl> a5d883c
- Version: 1.1.4

* Tue Jul 03 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> e0437a2
- release 3 (by relup.sh)

* Thu Dec 29 2016 Arkadiusz Miśkiewicz <arekm@maven.pl> 7e782eb
- python 3.6
- release 2 (by relup.sh)

* Wed Oct 12 2016 Elan Ruusamäe <glen@delfi.ee> ff60636
- use pythonhosted url; macros

* Wed Oct 12 2016 Jacek Konieczny <j.konieczny@eggsoft.pl> 13d9e66
- new package

